Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class WebservicesTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.WebservicesTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, WebservicesType<T>

    public class WebservicesTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, WebservicesType<T>

This class implements the `webservicesType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`WebservicesTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`WebservicesTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getContextRoot()` Returns the `context-root` element
`java.util.List<WebserviceDescriptionType<WebservicesType<T>>>` | `getWebserviceDescriptionList()` Returns all `webservice-description` elements
`WebservicesType<T>` | `removeAllWebserviceDescription()` Removes all `webservice-description` elements
`WebservicesType<T>` | `removeContextRoot()` Removes the `context-root` element
`WebservicesType<T>` | `setContextRoot(java.lang.String contextRoot)` If not already created, a new `context-root` element with the given value will be created.
`T` | `up()`
`WebserviceDescriptionType<WebservicesType<T>>` | `webserviceDescription()` Returns the `webservice-description` element

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebservicesTypeImpl

    public WebservicesTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### WebservicesTypeImpl

    public WebservicesTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setContextRoot

    public WebservicesType<T> setContextRoot(java.lang.String contextRoot)

  If not already created, a new `context-root` element with the given value will be created. Otherwise, the existing `context-root` element will be updated with the given value.

  Specified by:
    `setContextRoot` in interface `WebservicesType<T>`
  Returns:
    the current instance of `WebservicesType`

### removeContextRoot

    public WebservicesType<T> removeContextRoot()

  Removes the `context-root` element

  Specified by:
    `removeContextRoot` in interface `WebservicesType<T>`
  Returns:
    the current instance of `WebservicesType`

### getContextRoot

    public java.lang.String getContextRoot()

  Returns the `context-root` element

  Specified by:
    `getContextRoot` in interface `WebservicesType<T>`
  Returns:
    the node defined for the element `context-root`

### removeAllWebserviceDescription

    public WebservicesType<T> removeAllWebserviceDescription()

  Removes all `webservice-description` elements

  Specified by:
    `removeAllWebserviceDescription` in interface `WebservicesType<T>`
  Returns:
    the current instance of `WebservicesType`

### webserviceDescription

    public WebserviceDescriptionType<WebservicesType<T>> webserviceDescription()

  Returns the `webservice-description` element

  Specified by:
    `webserviceDescription` in interface `WebservicesType<T>`
  Returns:
    the node defined for the element `webservice-description`

### getWebserviceDescriptionList

    public java.util.List<WebserviceDescriptionType<WebservicesType<T>>> getWebserviceDescriptionList()

  Returns all `webservice-description` elements

  Specified by:
    `getWebserviceDescriptionList` in interface `WebservicesType<T>`
  Returns:
    list of `webservice-description`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD